For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
group_idintegerRequired
deal_idintegerRequired
Request
This endpoint expects an object.
round_namestring or nullOptional
notesstring or nullOptional<=8192 characters
Notes about the deal
priorityenum or nullOptional
The priority of the deal
Allowed values:
statusenum or nullOptional
Deal status tracking where a deal is in the diligence workflow.
NOTE: We use lowercase values everywhere (DB and API) to keep things simple.
No case conversion needed - what the user sends is what we store.
The members are lower case because sqlalchemy uses the member names, not the values.
In the future, we're going to want to make all enums in the database consistent.
In this case since it's also used in search and filtering, it's important to get it right now.
round_amountinteger or nullOptional0-9223372036854776000
The dollar amount to be raised of the round
round_targetinteger or nullOptional0-9223372036854776000
The target post-money dollar amount of the round
tagslist of strings or nullOptional
The tags associated with the deal
company_summarystring or nullOptional
The summary of the company
deal_lead_idinteger or nullOptional
The id of the user who is the deal lead
company_idinteger or nullOptional
Response
Successful Response
round_namestring
The name of the round
idinteger
group_idinteger
companyobject
fileslist of objects or null
notesstring or nullOptional<=8192 characters
Notes about the deal
priorityenum or nullOptional
The priority of the deal
Allowed values:
statusenum or nullOptional
Deal status tracking where a deal is in the diligence workflow.
NOTE: We use lowercase values everywhere (DB and API) to keep things simple.
No case conversion needed - what the user sends is what we store.
The members are lower case because sqlalchemy uses the member names, not the values.
In the future, we're going to want to make all enums in the database consistent.
In this case since it's also used in search and filtering, it's important to get it right now.
round_amountinteger or nullOptional0-9223372036854776000
The dollar amount to be raised of the round
round_targetinteger or nullOptional0-9223372036854776000
The target post-money dollar amount of the round
tagslist of strings or nullOptional
The tags associated with the deal
company_summarystring or nullOptional
The summary of the company
deal_lead_idinteger or nullOptional
The id of the user who is the deal lead
created_atstringOptionalformat: "date-time"
updated_atstring or nullOptionalformat: "date-time"
is_archivedboolean or nullOptional
groupobject or nullOptional
Minimal group response - excludes computed fields requiring relationships